Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by oibaf View Post

    WSL is not that critical, let's see how the bug settles anyway.
    I dropped the d3d12 gallium and video drivers, they now requires a newer directx headers still not available in Ubuntu and they are not very useful anyway.

    Comment


    • Does anybody have packages that are kept back when upgrading?

      sudo apt upgrade
      Reading package lists... Done
      Building dependency tree... Done
      Reading state information... Done
      Calculating upgrade... Done
      The following packages have been kept back:
      libegl-mesa0 libgbm1 libgbm1:i386 libgl1-mesa-dri libgl1-mesa-dri:i386 libglapi-mesa libglapi-mesa:i386 libglx-mesa0 libglx-mesa0:i386 libosmesa6 libosmesa6:i386 mesa-opencl-icd
      The following packages will be upgraded:
      libc++1-14 libc++abi1-14 libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm-common libdrm-intel1 libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386 libdrm2 libdrm2:i386
      libegl1-mesa-dev libgl1-mesa-dev libgles2-mesa-dev libllvm14 libllvm14:i386 libunwind-14 libvdpau1 libxatracker2 mesa-va-drivers mesa-vdpau-drivers mesa-vulkan-drivers mesa-vulkan-drivers:i386
      vdpau-driver-all
      26 upgraded, 0 newly installed, 0 to remove and 12 not upgraded.
      Need to get 20,9 MB/73,3 MB of archives.
      After this operation, 6 033 kB of additional disk space will be used.
      Do you want to continue? [Y/n]

      I am having this issue for some time.

      Comment


      • Packages for 20.04/focal and 21.10/impish from now are no longer updated and will be removed next month.

        Upgrade to 22.04/jammy (or even 22.10/kinetic) if you want to continue using the updated packages from the PPA.

        Comment


        • Disabled not-so-useful d3d12 stuff because of issue 6733.

          Comment


          • Hi,

            altough I see you disabled d3d12 stuff (presumably d3d12 video and openglon12 support) I'm requesting once you enable, please add also dozen support for WSL setups..
            now dozen is mature to build under Linux and has also WSI present support, so vulkan apps like vkcube started to work..
            I builded for WSL with meson flag -Dvulkan-driver=microsoft-experimental

            PS: seems d3d12 mesa stuff builds ok since:
            https://gitlab.freedesktop.org/mesa/.../17548/commits
            can you check if can reenable d3d12 stuff already?

            thanks for your work!..

            Comment


            • Originally posted by oscar View Post
              Hi,

              altough I see you disabled d3d12 stuff (presumably d3d12 video and openglon12 support) I'm requesting once you enable, please add also dozen support for WSL setups..
              now dozen is mature to build under Linux and has also WSI present support, so vulkan apps like vkcube started to work..
              I builded for WSL with meson flag -Dvulkan-driver=microsoft-experimental

              PS: seems d3d12 mesa stuff builds ok since:
              https://gitlab.freedesktop.org/mesa/.../17548/commits
              can you check if can reenable d3d12 stuff already?

              thanks for your work!..
              When https://bugs.debian.org/cgi-bin/bugr...gi?bug=1014472 will be addressed, I'll sync the package in my PPA, then I can re-enable d3d12 / dozen.

              Comment


              • Hello,
                I recently tried playing OpenMW using your drivers but it doesn't render any geometry ingame anymore.
                I have a lot of errors like this:

                r300 VP: cannot handle clip vertex output.
                Warning: detected OpenGL error 'invalid enumerant' at after TransparentDepthBinCallback::drawImplementation

                I've reached out for help on their forum and they said it's driver issue so i'm asking for help here instead.
                Game did work for me just over a month ago.

                Thank you for your hard work!

                Comment


                • Looks like there have been a lot of changes to the r300 driver recently - I believe they were related to using NIR natively but not 100% sure.

                  If you can go back one or two Mesa releases you will probably find it starts working again; if you can narrow it down to a small number of changes and file a bug ticket that will make it easier for a developer to figure out what broke. Ideally bisect to a specific commit if you can.

                  https://cgit.freedesktop.org/mesa/me...m/drivers/r300
                  Test signature

                  Comment


                  • Originally posted by oibaf View Post

                    When https://bugs.debian.org/cgi-bin/bugr...gi?bug=1014472 will be addressed, I'll sync the package in my PPA, then I can re-enable d3d12 / dozen.
                    d3d12 will be enabled with tomorrow build.
                    Last edited by oibaf; 01 August 2022, 12:00 PM.

                    Comment


                    • thanks for enabling d3d12 stuff!
                      sorry for asking again but can reconsider now enabling dozen?

                      Comment

                      Working...
                      X